1.0.0

**Release Date**: 12 April 2017
**RBI Update Date**: 06 April 2017 (Actual Date: 10 April 2017)
**IFSC Count**: `136741`

**First Major Release of our IFSC Dataset**. This has 3 major changes:

1. Sublet Branches are now supported. See below for more information.
2. SBI Merger changes. 107 new IFSC codes for SBI
3. One new Bank added (`UTKS`: "Utkarsh Small Finance Bank")
4. Co-operative Bank Support
5. Standardization of bank names

The PHP and NPM packages have been updated to 0.2.11 along with the https://ifsc.razorpay.com API

### Metadata Change Summary
- Usual metadata updates from RBI about new branches
- 1 IFSC code has been revoked (`HDFC0CTDCCB`)
- 429 new IFSC codes have been given out.

### Sublet Branch Support

Sublet branches are branches owned by major banks for which IFSC codes have been leased
out to smaller banks. This list is currently published by NPCI under their NACH Live Banks List
You can find the current version at [the NPCI website](http://www.npci.org.in/documents/Live_Banks_on_NACH_11042017.xlsx).

For eg, branch `HDFC0CLLC02` is owned by HDFC but lent out to `LILUAH CO OPERATIVE BANK LTD`.
This is supported via a `sublet.json` file that maintains the IFSC->Bank Code mapping.

Calling `IFSC::getBankName('HDFC0CLLC02')` will return `LILUAH CO OPERATIVE BANK LTD` as a result of this change.

### Co-operative Bank

We've added all Co-operative banks which have been granted IFSC codes as per the NACH system.
This list is extracted from the NPCI list as well. The majority of these have Bank Code ending in `X`. Here is a quick sample:

```yaml
"YMSX": "Yavatmal Mahila Sahakari Bank"
"YNCX": "Yamuna Nagar Central Co-operative Bank"
"YNSX": "Yeshwant Nagari Sahakari Bank"
"ZBBX": "Zila Sahkari Bank Bulandshahar"
"ZBSX": "Zila Sahkari Bank Mathura"
```

These are automatically used when you try to fetch the name of a bank or validate a bank code/branch. `1104` of the `1336` banks in our list are actually Co-operative banks with no IFSC code of their own (Bank Code ends in a `X`).

### Bank Name Standardization

Most of the bank names (We have a total of 1336 now) are now standardized to some degree.
The guidelines for these are available in `CONTRIBUTING.md`.

### Code Changes

- `IFSC::getBankName()` now accepts IFSC code, along with bank codes.
-  More efficient validation for Bank Codes.
-  Automation improvements. We now store build-artifacts and use them in the releases so they are verifiable.

<details><summary><strong>Exact IFSC Diff</strong></summary>

``` diff
+ALLA0213499
+ALLA0213500
+ALLA0213502
+ANDB0003035
+ANDB0003072
+ANDB0003090
+ANDB0003095
+ANDB0003111
+APGB0003199
+APGB0003202
+APGB0003203
+APGB0003204
+APGB0004137
+APGB0004138
+APGB0005234
+APGB0005235
+APGB0005237
+BARB0ATHANI
+BARB0BADSHA
+BARB0BASNIX
+BARB0BHADRE
+BARB0CHALLA
+BARB0CHHITT
+BARB0DILSUK
+BARB0GHATAL
+BARB0HANAMK
+BARB0JAGGAM
+BARB0JAMKHA
+BARB0NATILM
+BARB0NOVINO
+BARB0NRIBAR
+BARB0NRICHE
+BARB0PIPJOD
+BARB0PITVIS
+BARB0RAMBAZ
+BARB0RIPANS
+BARB0SALAIY
+BARB0SATTEN
+BARB0TEKKAL
+BARB0TITLAG
+BARB0VASNAG
+BARB0VIPSUR
+BDBL0001541
+BDBL0001629
+BDBL0001799
+BDBL0001832
+BDBL0001833
+BDBL0001845
+BDBL0001846
+BDBL0001848
+BDBL0001849
+BDBL0001850
+BDBL0001851
+BKDN0311972
+BKDN0331976
+BKDN0471973
+BKDN0471974
+BKDN0531961
+BKDN0711969
+BKDN0721955
+BKDN0731962
+BKDN0761960
+BKDN0811959
+BKDN0821970
+BKDN0921975
+BKID0000831
+BKID0003905
+BKID0003906
+BKID0004158
+BKID0005097
+BKID0006259
+BKID0006260
+BKID0007451
+BKID0007452
+BKID0009367
+BKID00KSBCL
+CLBL0000074
+CLBL0000075
+CLBL0000076
+CSBK0001000
+DCBL0000268
+DCBL0000274
+DCBL0000282
+DCBL0000289
+HDFC0004384
+HDFC0009030
+HDFC0009131
+HDFC0009218
+HDFC0009223
+HDFC0009225
+HDFC0009226
+HDFC0009230
+HDFC0009235
+HDFC0009236
+HDFC0009237
+HDFC0009240
+HDFC0009242
+HDFC0009252
+HDFC0009253
+HDFC0009254
+HDFC0009255
+HDFC0009256
+HDFC0009257
+HDFC0009259
+HDFC0009260
+HDFC0009261
+HDFC0009262
+HDFC0009263
+HDFC0CNUCB1
+HPSC0000132
+HPSC0000133
+HPSC0000134
+HPSC0000199
+HPSC0000200
+HPSC0000201
+IBKL0002134
+ICIC0003933
+ICIC0004016
+ICIC0004029
+ICIC0004031
+ICIC0004040
+ICIC0004050
+ICIC0004051
+ICIC0004071
+ICIC0004094
+ICIC0004096
+ICIC0004104
+ICIC0004108
+ICIC0004114
+ICIC0004115
+ICIC0004123
+ICIC0004137
+ICIC0004145
+ICIC0004153
+ICIC0004163
+ICIC0004189
+ICIC0004228
+ICIC0004234
+ICIC0004235
+ICIC0004241
+ICIC0004244
+ICIC0004245
+ICIC0004250
+ICIC0004263
+ICIC0004283
+ICIC0004293
+ICIC0004296
+ICIC0004317
+ICIC00SVCBL
+ICIC00TMUBG
+ICIC00TUCBS
+IDIB000A193
+IDIB000A194
+IDIB000A201
+IDIB000D091
+IDIB000I033
+IDIB000I062
+IDIB000I067
+IDIB000I068
+IDIB000J058
+IDIB000K296
+IDIB000K302
+IDIB000K303
+IDIB000K304
+IDIB000K305
+IDIB000M318
+IDIB000P247
+IDIB000P253
+IDIB000S283
+IDIB000U040
+INDB0001038
+INDB0001046
+INDB0001082
+INDB0001083
+INDB0001091
+INDB0001099
+KACE0000219
+KACE0000220
+KARB0000180
+KARB0000283
+KARB0000291
+KARB0000378
+KKBK0005133
+KKBK0006590
+KLGB0040723
+KLGB0040724
+KLGB0040725
+KLGB0040726
+KLGB0040732
+LAVB0000140
+LAVB0000142
+LAVB0000215
+LAVB0000329
+LAVB0000509
+LAVB0000695
+LAVB0000965
+LAVB0000966
+NTBL0GUR133
+NTBL0NAG135
+NTBL0RUD134
+ORBC0102244
+ORBC0102245
+PJSB0000077
+PJSB0000204
+PSIB0021532
+PSIB0021538
+PSIB0021542
+PUNB0876400
+PUNB0883400
+PUNB0924100
+PUNB0924200
+PUNB0928000
+PUNB0929900
+PUNB0930300
+PUNB0931100
+PUNB0935200
+PUNB0938600
+PUNB0947800
+PUNB0947900
+PUNB0951100
+PUNB0952100
+PUNB0952200
+PUNB0952500
+PUNB0953700
+PUNB0954200
+PUNB0956900
+PUNB0957500
+RATN0000224
+SBIN0018900
+SBIN0018991
+SBIN0032602
+SBIN0032603
+SBIN0032604
+SBIN0032605
+SBIN0032606
+SBIN0032607
+SBIN0032608
+SBIN0032609
+SBIN0032610
+SBIN0032611
+SBIN0032612
+SBIN0032613
+SBIN0032614
+SBIN0032615
+SBIN0032616
+SBIN0032617
+SBIN0032618
+SBIN0032619
+SBIN0032620
+SBIN0032621
+SBIN0032624
+SBIN0032625
+SBIN0032626
+SBIN0032627
+SBIN0032628
+SBIN0032629
+SBIN0032630
+SBIN0032631
+SBIN0032632
+SBIN0032633
+SBIN0032634
+SBIN0032635
+SBIN0032636
+SBIN0032637
+SBIN0032638
+SBIN0032639
+SBIN0032640
+SBIN0032641
+SBIN0032642
+SBIN0032643
+SBIN0032644
+SBIN0032645
+SBIN0032646
+SBIN0032647
+SBIN0032648
+SBIN0032649
+SBIN0032650
+SBIN0032651
+SBIN0032652
+SBIN0032653
+SBIN0032654
+SBIN0032655
+SBIN0032656
+SBIN0032657
+SBIN0032658
+SBIN0032659
+SBIN0032660
+SBIN0032661
+SBIN0032662
+SBIN0032663
+SBIN0032664
+SBIN0032665
+SBIN0032666
+SBIN0032667
+SBIN0032668
+SBIN0032669
+SBIN0032670
+SBIN0032671
+SBIN0032672
+SBIN0032673
+SBIN0032674
+SBIN0032675
+SBIN0032676
+SBIN0032677
+SBIN0032678
+SBIN0032679
+SBIN0032680
+SBIN0032681
+SBIN0032682
+SBIN0032683
+SBIN0032684
+SBIN0032685
+SBIN0032686
+SBIN0032687
+SBIN0032688
+SBIN0032690
+SBIN0032691
+SBIN0032692
+SBIN0032693
+SBIN0032694
+SBIN0032695
+SBIN0032696
+SBIN0032697
+SBIN0032698
+SBIN0032699
+SBIN0032700
+SBIN0032701
+SBIN0032702
+SBIN0032704
+SBIN0032705
+SBIN0032706
+SBIN0032707
+SBIN0032708
+SBIN0032709
+SBIN0032710
+SIBL0000949
+SVCB0016024
+SYNB0000647
+SYNB0001026
+SYNB0006225
+SYNB0006318
+SYNB0006319
+SYNB0006407
+SYNB0007277
+SYNB0007280
+SYNB0007733
+SYNB0007744
+SYNB0007746
+SYNB0007771
+SYNB0007773
+SYNB0007774
+SYNB0007877
+SYNB0008123
+SYNB0008159
+SYNB0009204
+SYNB0009273
+SYNB0009427
+SYNB0009439
+SYNB0009442
+SYNB0009489
+SYNB0009677
+SYNB0009685
+SYNB0009687
+SYNB0009930
+TMBL0000505
+TMBL0000506
+TMBL0000507
+TSAB0000138
+TSAB0000139
+TSAB0000140
+UBIN0577227
+UBIN0577251
+UCBA0002643
+UCBA0003330
+UCBA0003342
+UCBA0003347
+UCBA0003349
+UTBI0APUA79
+UTBI0BGKP45
+UTBI0KBMP47
+UTBI0MYRA77
+UTBI0PPLY36
+UTBI0RGMA78
+UTBI0TDLP48
+UTIB0003248
+UTIB0003340
+UTIB0003342
+UTIB0003347
+UTIB0003357
+UTIB0003419
+UTIB0003429
+UTIB0003430
+UTIB0003431
+UTIB0003432
+UTIB0003433
+UTIB0003436
+UTIB0003440
+UTIB0003445
+UTIB0003446
+UTIB0003449
+UTIB0003452
+UTIB0003453
+UTIB0003454
+UTIB0003458
+UTIB0003459
+UTIB0003462
+UTIB0003464
+UTIB0003465
+UTIB0003468
+UTIB0003469
+UTIB0003470
+UTIB0003472
+UTIB0003473
+UTIB0003476
+UTIB0003485
+UTIB0003494
+UTIB0003500
+UTIB0003501
+UTIB0003502
+UTIB0003506
+UTIB0SACOB1
+UTIB0SMCBLT
+UTIB0SP1944
+UTIB0SPMUSB
+UTIB0SSBANK
+UTIB0SSNSBK
+UTIB0STDCCB
+UTIB0SURBAN
+UTIB0SVSL01
-HDFC0CTDCCB
```
</details>
Here is a cute kitten:

![](http://placekitten.com/g/600/460)
