1.4.0

**Release Date**: April 19 2019
**RBI Update Date**: March 31 2019
**IFSC Count**: 145274
**Diff Size**: 1090 (This only counts new or deleted IFSCs from previous release)

### Added

- Regular Metadata Changes. See [Release Page][1.4.0] for a list.
- One new Bank: `AJAR`
- Adds NPCI-only IFSCs from https://www.npci.org.in/national-automated-clearing-live-members-1. See #100 and #109 for some more details.
- A `NEFT=true|false` flag is added on all datasets, which will get added to the API with this release.
- A `IMPS=true|false` flag is added, which is currently in alpha. There is not enough clarity around this yet (See #109), so please don't use this in production yet. This can be removed at any time. Feedback on the correctness of this flag is welcome.
- A MICR is now available for all rows. This will also reflect on the API.

### Changed

- Parser speed and general improvements. Builds only take 3 minutes, and caching related stuff is removed.
- The parser converts XLS/XLSX files to CSV before parsing, which results in cleaner data in some cases.

### Removed

- Removes some data formats (YAML/Large JSON) for cleaner code. If you were using them, please let create an issue.


<details><summary><strong>Aggregate Breakdown</strong>
</summary>

```
      1 +ANDB
      1 +APGV
      1 +BACB
      1 +BARA
      1 +BARC
      1 +BCBM
      1 +BNSB
      1 +COSB
      1 +CRLY
      1 +CSBK
      1 +CSBX
      1 +DEOB
      1 +DEUT
      1 +DICG
      1 +DNSB
      1 +EBIL
      1 +ESFB
      1 +HCBL
      1 +HVBK
      1 +JASB
      1 +JSBL
      1 +JSBP
      1 +KJSB
      1 +KOEX
      1 +LAVB
      1 +MCBL
      1 +MSCI
      1 +NBRD
      1 +NGSB
      1 +NICB
      1 +NMCB
      1 +NUCB
      1 +ORCB
      1 +PJSB
      1 +PMCB
      1 +PYTM
      1 +QNBA
      1 +RRBP
      1 +RSBL
      1 +SAHE
      1 +SBLS
      1 +SDCE
      1 +SHBK
      1 +SIDC
      1 +SMCB
      1 +SOGE
      1 +SRCB
      1 +STCB
      1 +SURY
      1 +TMBL
      1 +TNSC
      1 +VCOB
      1 +WBSC
      1 +ZCBL
      1 +ZSBL
      1 -ICIC
      1 -IOBA
      2 +BNPA
      2 +FDRL
      2 +KVBL
      2 +MAHB
      2 +PKGB
      2 +RBIS
      2 +UTKS
      2 +VIJB
      2 -CNRB
      2 -UTBI
      3 +CBIN
      3 +DCBL
      3 +IOBA
      3 +SANT
      3 +TSAB
      3 +UBIN
      4 +BARB
      4 +BDBL
      4 +BKID
      4 +JAKA
      4 +KARB
      4 +NESF
      5 +ALLA
      5 +CITI
      5 +MAHG
      5 -ALLA
      5 -HDFC
      6 +CLBL
      6 +CORP
      6 +ICIC
      8 +CNRB
      8 +GSCB
      9 +KGRB
      9 +PUNB
      9 +SDCB
     10 +NJBK
     10 -MDCB
     11 +APBL
     13 +ORBC
     13 +SIBL
     13 +SYNB
     15 +AUBL
     15 +DBSS
     16 +IDFB
     16 -KCBL
     18 -UCBA
     20 +YESB
     21 +IBKL
     21 +KOLH
     21 +KSBK
     21 -ABNA
     23 +RATN
     24 +CIUB
     27 +INDB
     28 +MSLM
     30 +IDIB
     33 +AJAR
     34 +KKBK
     38 +SBIN
     45 +JSFB
     74 -PUNB
     82 +HDFC
     87 +ESMF
    107 +UTIB
```
</details>

<details><summary><strong>Exact IFSC Diff</strong></summary>

```diff
+AJAR0000001
+AJAR0000002
+AJAR0000003
+AJAR0000004
+AJAR0000005
+AJAR0000006
+AJAR0000007
+AJAR0000008
+AJAR0000009
+AJAR0000010
+AJAR0000011
+AJAR0000012
+AJAR0000013
+AJAR0000014
+AJAR0000015
+AJAR0000016
+AJAR0000017
+AJAR0000018
+AJAR0000019
+AJAR0000020
+AJAR0000021
+AJAR0000022
+AJAR0000023
+AJAR0000024
+AJAR0000025
+AJAR0000026
+AJAR0000027
+AJAR0000028
+AJAR0000029
+AJAR0000030
+AJAR0000031
+AJAR0000032
+AJAR0000099
+ALLA0212245
+ALLA0213506
+ALLA0213507
+ALLA0213510
+ALLA0888888
+ANDB0000755
+APBL0005001
+APBL0010035
+APBL0010036
+APBL0014001
+APBL0015022
+APBL0017001
+APBL0019001
+APBL0020001
+APBL0021001
+APBL0022001
+APBL0023001
+APGV0000001
+AUBL0000001
+AUBL0002415
+AUBL0002417
+AUBL0002418
+AUBL0002419
+AUBL0002421
+AUBL0002422
+AUBL0002423
+AUBL0002424
+AUBL0002425
+AUBL0002426
+AUBL0002427
+AUBL0002428
+AUBL0002429
+AUBL0002430
+BACB0000002
+BARA0000001
+BARB0JEWARX
+BARB0NAGNIG
+BARB0THRIPR
+BARB0ZOMAHA
+BARC0INBBSB
+BCBM0000999
+BDBL0000001
+BDBL00000SC
+BDBL0001964
+BDBL0002007
+BKID0000156
+BKID000ASOC
+BKID000MPST
+BKID000NMUM
+BNPA0009066
+BNPA0RTGSMI
+BNSB0000001
+CBIN0281102
+CBIN0282684
+CBIN0MPDACT
+CITI00000CF
+CITI00000DX
+CITI00000FT
+CITI00000FX
+CITI00000MM
+CIUB0000121
+CIUB0000620
+CIUB0000621
+CIUB0000622
+CIUB0000623
+CIUB0000624
+CIUB0000625
+CIUB0000626
+CIUB0000627
+CIUB0000628
+CIUB0000629
+CIUB0000630
+CIUB0000631
+CIUB0000632
+CIUB0000633
+CIUB0000634
+CIUB0000635
+CIUB0000636
+CIUB0000637
+CIUB0000638
+CIUB0000639
+CIUB0000640
+CIUB0000641
+CIUB0000642
+CLBL0000123
+CLBL0000125
+CLBL0000126
+CLBL0000127
+CLBL0000128
+CLBL0000129
+CNRB0003990
+CNRB0006764
+CNRB0006792
+CNRB0006794
+CNRB0006796
+CNRB0006806
+CNRB0MUMCLG
+CNRB0RTGS01
+CORP0000693
+CORP0000745
+CORP0000844
+CORP0000913
+CORP0009512
+CORP0009913
+COSB0000025
+CRLY0000001
+CSBK0000445
+CSBX0CSB001
+DBSS0IN0853
+DBSS0IN0855
+DBSS0IN0856
+DBSS0IN0857
+DBSS0IN0858
+DBSS0IN0859
+DBSS0IN0860
+DBSS0IN0861
+DBSS0IN0862
+DBSS0IN0901
+DBSS0IN0902
+DBSS0IN0903
+DBSS0IN0904
+DBSS0IN0905
+DBSS0IN1811
+DCBL0000349
+DCBL0000350
+DCBL0000NPC
+DEOB0000001
+DEUT0784TRY
+DICG0000001
+DNSB0000001
+EBIL00000SC
+ESFB0000001
+ESMF0001235
+ESMF0001237
+ESMF0001238
+ESMF0001240
+ESMF0001242
+ESMF0001245
+ESMF0001247
+ESMF0001249
+ESMF0001251
+ESMF0001253
+ESMF0001254
+ESMF0001255
+ESMF0001256
+ESMF0001257
+ESMF0001258
+ESMF0001260
+ESMF0001262
+ESMF0001263
+ESMF0001266
+ESMF0001267
+ESMF0001269
+ESMF0001273
+ESMF0001274
+ESMF0001275
+ESMF0001276
+ESMF0001278
+ESMF0001279
+ESMF0001280
+ESMF0001281
+ESMF0001282
+ESMF0001283
+ESMF0001285
+ESMF0001286
+ESMF0001287
+ESMF0001289
+ESMF0001290
+ESMF0001293
+ESMF0001294
+ESMF0001297
+ESMF0001298
+ESMF0001299
+ESMF0001300
+ESMF0001301
+ESMF0001308
+ESMF0001310
+ESMF0001312
+ESMF0001313
+ESMF0001321
+ESMF0001323
+ESMF0001343
+ESMF0001344
+ESMF0001345
+ESMF0001346
+ESMF0001347
+ESMF0001348
+ESMF0001349
+ESMF0001352
+ESMF0001353
+ESMF0001354
+ESMF0001355
+ESMF0001356
+ESMF0001357
+ESMF0001358
+ESMF0001359
+ESMF0001360
+ESMF0001361
+ESMF0001362
+ESMF0001363
+ESMF0001364
+ESMF0001365
+ESMF0001366
+ESMF0001367
+ESMF0001368
+ESMF0001369
+ESMF0001370
+ESMF0001371
+ESMF0001372
+ESMF0001373
+ESMF0001374
+ESMF0001376
+ESMF0001377
+ESMF0001378
+ESMF0001379
+ESMF0001380
+ESMF0001381
+ESMF0001382
+ESMF0001383
+FDRL0000016
+FDRL0000379
+GSCB0JNDC01
+GSCB0UAPANI
+GSCB0UBAGAS
+GSCB0UBARIA
+GSCB0UGCCBL
+GSCB0ULALBA
+GSCB0USSNPL
+GSCB0UTLUCB
+HCBL0000001
+HDFC0004308
+HDFC0004685
+HDFC0004793
+HDFC0009338
+HDFC0009342
+HDFC0009343
+HDFC0009353
+HDFC0009358
+HDFC0009363
+HDFC0009364
+HDFC0009365
+HDFC0009366
+HDFC0009369
+HDFC0009372
+HDFC0009373
+HDFC0009374
+HDFC0009378
+HDFC0009379
+HDFC0009383
+HDFC0009388
+HDFC0009391
+HDFC0009392
+HDFC0009395
+HDFC0009398
+HDFC0009399
+HDFC0009401
+HDFC0009403
+HDFC0009404
+HDFC0009409
+HDFC0009414
+HDFC0009424
+HDFC0009425
+HDFC0009426
+HDFC0009435
+HDFC0009437
+HDFC0009438
+HDFC0009439
+HDFC0009440
+HDFC0009442
+HDFC0009443
+HDFC0009444
+HDFC0009445
+HDFC0009446
+HDFC0009447
+HDFC0009448
+HDFC0009449
+HDFC0009450
+HDFC0009451
+HDFC0009452
+HDFC0009453
+HDFC0009455
+HDFC0009456
+HDFC0009458
+HDFC0009461
+HDFC0009462
+HDFC0009463
+HDFC0009464
+HDFC0009466
+HDFC0009467
+HDFC0009471
+HDFC0009472
+HDFC0009473
+HDFC0009484
+HDFC0009487
+HDFC0009488
+HDFC0009490
+HDFC0009492
+HDFC0009501
+HDFC0009504
+HDFC0009514
+HDFC0009520
+HDFC0009523
+HDFC0009532
+HDFC0009549
+HDFC0009567
+HDFC0009577
+HDFC0CAMSBA
+HDFC0CITC01
+HDFC0CKB001
+HDFC0CLCBLO
+HDFC0CSDN01
+HDFC0CSMPAY
+HVBK0NEFTSC
+IBKL0000999
+IBKL00016BD
+IBKL0008032
+IBKL0029TEC
+IBKL01606BM
+IBKL01720KU
+IBKL0269TDC
+IBKL0JCB001
+IBKL0JCB002
+IBKL0JCB003
+IBKL0JCB004
+IBKL0JCB005
+IBKL0JCB006
+IBKL0JCB007
+IBKL0JCB008
+IBKL0JCB009
+IBKL0JCB010
+IBKL0JCB011
+IBKL0JCB012
+IBKL0PJS024
+IBKL0PJS025
+ICIC0003444
+ICIC0004089
+ICIC0004267
+ICIC0004368
+ICIC00JAINB
+ICIC00NDIMC
+IDFB0000001
+IDFB00000SC
+IDFB0020126
+IDFB0040308
+IDFB0040375
+IDFB0042223
+IDFB0042267
+IDFB0042701
+IDFB0042721
+IDFB0042741
+IDFB0042841
+IDFB0080167
+IDFB0080171
+IDFB0080334
+IDFB0080811
+IDFB0080831
+IDIB000A209
+IDIB000A215
+IDIB000A216
+IDIB000A217
+IDIB000A218
+IDIB000B204
+IDIB000C185
+IDIB000D101
+IDIB000E047
+IDIB000G129
+IDIB000I087
+IDIB000J068
+IDIB000K336
+IDIB000K337
+IDIB000K338
+IDIB000K339
+IDIB000M339
+IDIB000N172
+IDIB000N173
+IDIB000P267
+IDIB000P269
+IDIB000P270
+IDIB000R123
+IDIB000R124
+IDIB000R125
+IDIB000S299
+IDIB000S300
+IDIB000S301
+IDIB000U042
+IDIB000V158
+INDB0000098
+INDB0000102
+INDB0001492
+INDB0001505
+INDB0001506
+INDB0001507
+INDB0001510
+INDB0001513
+INDB0001514
+INDB0001515
+INDB0001516
+INDB0001518
+INDB0001519
+INDB0001520
+INDB0001521
+INDB0001522
+INDB0001525
+INDB0001526
+INDB0001527
+INDB0001528
+INDB0001529
+INDB0001530
+INDB0001532
+INDB0001534
+INDB0001539
+INDB0001555
+INDB0KUCB01
+IOBA0003032
+IOBA0003033
+IOBA0009016
+JAKA0AJMERR
+JAKA0GOPALK
+JAKA0KHARAK
+JAKA0SHIVNG
+JASB0000001
+JSBL0000001
+JSBP0000001
+JSFB0004523
+JSFB0004545
+JSFB0004562
+JSFB0004571
+JSFB0004572
+JSFB0004608
+JSFB0004613
+JSFB0004615
+JSFB0004643
+JSFB0004646
+JSFB0004649
+JSFB0004658
+JSFB0004665
+JSFB0004673
+JSFB0004750
+JSFB0004762
+JSFB0004764
+JSFB0004779
+JSFB0004789
+JSFB0004791
+JSFB0004792
+JSFB0004802
+JSFB0004806
+JSFB0004811
+JSFB0004812
+JSFB0004823
+JSFB0004824
+JSFB0004825
+JSFB0004826
+JSFB0004827
+JSFB0005001
+JSFB0005002
+JSFB0005003
+JSFB0005004
+JSFB0005005
+JSFB0005006
+JSFB0005007
+JSFB0005008
+JSFB0005009
+JSFB0005010
+JSFB0005011
+JSFB0005012
+JSFB0005013
+JSFB0005014
+JSFB0005015
+KARB0000102
+KARB0000683
+KARB0000684
+KARB0000685
+KGRB0000501
+KGRB0000502
+KGRB0000503
+KGRB0000504
+KGRB0000505
+KGRB0000506
+KGRB0000507
+KGRB0000508
+KGRB0000509
+KJSB0000001
+KKBK0000632
+KKBK0001466
+KKBK0001471
+KKBK0001472
+KKBK0001802
+KKBK0001803
+KKBK0002052
+KKBK0002602
+KKBK0003907
+KKBK0004208
+KKBK0004364
+KKBK0005078
+KKBK0005079
+KKBK0005148
+KKBK0005169
+KKBK0005204
+KKBK0005205
+KKBK0005324
+KKBK0005325
+KKBK0005326
+KKBK0005665
+KKBK0005957
+KKBK0005960
+KKBK0005961
+KKBK0006438
+KKBK0006600
+KKBK0007533
+KKBK0007901
+KKBK0008517
+KKBK0008518
+KKBK0008664
+KKBK0008720
+KKBK0008794
+KKBK0BUCB01
+KOEX00000SC
+KOLH0000001
+KOLH0000003
+KOLH0000004
+KOLH0000005
+KOLH0000006
+KOLH0000007
+KOLH0000008
+KOLH0000009
+KOLH0000010
+KOLH0000011
+KOLH0000012
+KOLH0000013
+KOLH0000014
+KOLH0000015
+KOLH0000016
+KOLH0000017
+KOLH0000018
+KOLH0000019
+KOLH0000020
+KOLH0000021
+KOLH0000999
+KSBK0000001
+KSBK0000002
+KSBK0000003
+KSBK0000004
+KSBK0000005
+KSBK0000006
+KSBK0000007
+KSBK0000008
+KSBK0000009
+KSBK0000010
+KSBK0000011
+KSBK0000012
+KSBK0000013
+KSBK0000014
+KSBK0000015
+KSBK0000016
+KSBK0000017
+KSBK0000018
+KSBK0000019
+KSBK0000020
+KSBK0000101
+KVBL0001260
+KVBL0001299
+LAVB0000883
+MAHB0001001
+MAHB0003007
+MAHG0000001
+MAHG0005140
+MAHG0005516
+MAHG0005517
+MAHG0005518
+MCBL0960009
+MSCI0082046
+MSLM0000001
+MSLM0000002
+MSLM0000003
+MSLM0000004
+MSLM0000005
+MSLM0000006
+MSLM0000007
+MSLM0000008
+MSLM0000009
+MSLM0000010
+MSLM0000011
+MSLM0000012
+MSLM0000013
+MSLM0000014
+MSLM0000015
+MSLM0000016
+MSLM0000018
+MSLM0000019
+MSLM0000020
+MSLM0000021
+MSLM0000022
+MSLM0000024
+MSLM0000025
+MSLM0000026
+MSLM0000027
+MSLM0000028
+MSLM0000029
+MSLM0000099
+NBRD0000001
+NESF0000044
+NESF0000078
+NESF0000096
+NESF0000105
+NGSB0000001
+NICB0000001
+NJBK0000001
+NJBK00000SC
+NJBK0790001
+NJBK0790002
+NJBK0790003
+NJBK0790004
+NJBK0790005
+NJBK0790006
+NJBK0790007
+NJBK0790008
+NMCB0000001
+NUCB0000001
+ORBC0102264
+ORBC0102265
+ORBC0108002
+ORBC0108003
+ORBC0108004
+ORBC0108005
+ORBC0108010
+ORBC0108011
+ORBC0108013
+ORBC0108014
+ORBC0108019
+ORBC0108023
+ORBC0108025
+ORCB0000001
+PJSB0000001
+PKGB0011202
+PKGB0011203
+PMCB0000001
+PUNB0399600
+PUNB0526800
+PUNB0581200
+PUNB0633400
+PUNB0634800
+PUNB0634900
+PUNB0635000
+PUNB0972800
+PUNB0RTGS00
+PYTM00000SC
+QNBA00000SC
+RATN0000271
+RATN0000275
+RATN0000278
+RATN0000279
+RATN0000280
+RATN0000283
+RATN0000284
+RATN0000285
+RATN0000286
+RATN0000287
+RATN0000291
+RATN0000292
+RATN0000294
+RATN0000295
+RATN0000296
+RATN0000297
+RATN0000298
+RATN0000299
+RATN0000300
+RATN0000302
+RATN0000303
+RATN0CCIMPS
+RATN0TREASU
+RBIS0GOAPER
+RBIS0RBIPI0
+RRBP0000001
+RSBL0000001
+SAHE00000SC
+SANT0000001
+SANT0000002
+SANT0000099
+SBIN0000DOP
+SBIN0004966
+SBIN0014867
+SBIN0018971
+SBIN0030441
+SBIN0030444
+SBIN0051317
+SBIN0061069
+SBIN0061166
+SBIN0061194
+SBIN0061198
+SBIN0061199
+SBIN0061203
+SBIN0061206
+SBIN0061214
+SBIN0061222
+SBIN0061247
+SBIN0061255
+SBIN0061260
+SBIN0061261
+SBIN0061273
+SBIN0061277
+SBIN0061279
+SBIN0061281
+SBIN0061282
+SBIN0061285
+SBIN0061287
+SBIN0061288
+SBIN0061291
+SBIN0061293
+SBIN0061298
+SBIN0061300
+SBIN0061301
+SBIN0061302
+SBIN0061303
+SBIN0061304
+SBIN0061320
+SBIN0061321
+SBLS00000SC
+SDCB0000096
+SDCB0000097
+SDCB0000098
+SDCB0000100
+SDCB0000101
+SDCB0000102
+SDCB0000103
+SDCB0000104
+SDCB0000105
+SDCE0000001
+SHBK0000002
+SIBL0000980
+SIBL0000981
+SIBL0000982
+SIBL0000983
+SIBL0000984
+SIBL0000985
+SIBL0000986
+SIBL0000987
+SIBL0000988
+SIBL0000990
+SIBL0000991
+SIBL0000992
+SIBL0002002
+SIDC0000001
+SMCB0000001
+SOGE0INBB00
+SRCB0NGRTGS
+STCB0000001
+SURY0000001
+SYNB0000775
+SYNB0000963
+SYNB0001416
+SYNB0001772
+SYNB0003118
+SYNB0005550
+SYNB0006538
+SYNB0006574
+SYNB0007546
+SYNB0009216
+SYNB0009716
+SYNB0009797
+SYNB000RTGS
+TMBL0000200
+TNSC0NEFTSC
+TSAB0000001
+TSAB0015029
+TSAB0015030
+UBIN0547387
+UBIN0577961
+UBIN0580431
+UTIB0004022
+UTIB0004036
+UTIB0004073
+UTIB0004074
+UTIB0004095
+UTIB0004105
+UTIB0004123
+UTIB0004133
+UTIB0004136
+UTIB0004137
+UTIB0004138
+UTIB0004142
+UTIB0004152
+UTIB0004153
+UTIB0004155
+UTIB0004156
+UTIB0004157
+UTIB0004159
+UTIB0004160
+UTIB0004162
+UTIB0004163
+UTIB0004164
+UTIB0004165
+UTIB0004167
+UTIB0004168
+UTIB0004169
+UTIB0004170
+UTIB0004171
+UTIB0004172
+UTIB0004173
+UTIB0004175
+UTIB0004177
+UTIB0004181
+UTIB0004183
+UTIB0004184
+UTIB0004185
+UTIB0004187
+UTIB0004188
+UTIB0004190
+UTIB0004191
+UTIB0004192
+UTIB0004193
+UTIB0004194
+UTIB0004195
+UTIB0004196
+UTIB0004197
+UTIB0004198
+UTIB0004199
+UTIB0004200
+UTIB0004201
+UTIB0004202
+UTIB0004203
+UTIB0004204
+UTIB0004205
+UTIB0004206
+UTIB0004207
+UTIB0004208
+UTIB0004210
+UTIB0004212
+UTIB0004213
+UTIB0004214
+UTIB0004216
+UTIB0004217
+UTIB0004218
+UTIB0004219
+UTIB0004220
+UTIB0004221
+UTIB0004222
+UTIB0004223
+UTIB0004224
+UTIB0004225
+UTIB0004226
+UTIB0004227
+UTIB0004229
+UTIB0004230
+UTIB0004231
+UTIB0004232
+UTIB0004233
+UTIB0004234
+UTIB0004236
+UTIB0004237
+UTIB0004238
+UTIB0004243
+UTIB0004244
+UTIB0004251
+UTIB0SBCUB1
+UTIB0SIDB99
+UTIB0SK1923
+UTIB0SKCC01
+UTIB0SKCC02
+UTIB0SKCC03
+UTIB0SKCC04
+UTIB0SKCC05
+UTIB0SKCC06
+UTIB0SKCC07
+UTIB0SKCC08
+UTIB0SKCC09
+UTIB0SKCC10
+UTIB0SKCC11
+UTIB0SKCC12
+UTIB0SKCC13
+UTIB0SKCC14
+UTIB0SSCCBL
+UTIB0SSUCB1
+UTIB0STCMCB
+UTIB0STMNBI
+UTIB0SUBCO1
+UTKS0000001
+UTKS0001525
+VCOB00000SC
+VIJB0008453
+VIJB0009202
+WBSC0TCCB24
+YESB0001135
+YESB0001137
+YESB0001138
+YESB0001139
+YESB0001140
+YESB0001141
+YESB0001142
+YESB0001143
+YESB0001144
+YESB0001145
+YESB0HPB051
+YESB0NBGKPI
+YESB0NMB001
+YESB0NMB002
+YESB0NMB003
+YESB0NMB004
+YESB0NMB005
+YESB0SCB003
+YESB0SJSBHO
+YESB0TMCB01
+ZCBL00000SC
+ZSBL00000SC
-ABNA0100311
-ABNA0100312
-ABNA0100313
-ABNA0100314
-ABNA0100316
-ABNA0100317
-ABNA0100318
-ABNA0100326
-ABNA0100327
-ABNA0100328
-ABNA0100329
-ABNA0100330
-ABNA0100331
-ABNA0100332
-ABNA0100333
-ABNA0100335
-ABNA0100336
-ABNA0100337
-ABNA0100338
-ABNA0100339
-ABNA0100340
-ALLA0211348
-ALLA0211891
-ALLA0212438
-ALLA0212485
-ALLA0213289
-CNRB0000131
-CNRB0004499
-HDFC0009365
-HDFC0009442
-HDFC0009443
-HDFC0009448
-HDFC0009455
-ICIC00UNICB
-IOBA0003378
-KCBL0000002
-KCBL0000003
-KCBL0000004
-KCBL0000005
-KCBL0000006
-KCBL0000007
-KCBL0000008
-KCBL0000009
-KCBL0000010
-KCBL0000011
-KCBL0000012
-KCBL0000013
-KCBL0000014
-KCBL0000015
-KCBL00000SC
-KCBL00BRN01
-MDCB0680273
-MDCB0680324
-MDCB0680370
-MDCB0680375
-MDCB0680378
-MDCB0680380
-MDCB0680386
-MDCB0680392
-MDCB0680400
-MDCB0680401
-PUNB0003900
-PUNB0008800
-PUNB0010100
-PUNB0032000
-PUNB0061800
-PUNB0063500
-PUNB0106300
-PUNB0122200
-PUNB0140700
-PUNB0176800
-PUNB0176900
-PUNB0177000
-PUNB0178900
-PUNB0182000
-PUNB0182500
-PUNB0195000
-PUNB0196200
-PUNB0196400
-PUNB0227000
-PUNB0240500
-PUNB0273700
-PUNB0274500
-PUNB0289300
-PUNB0289900
-PUNB0318500
-PUNB0318600
-PUNB0318700
-PUNB0353900
-PUNB0368900
-PUNB0392900
-PUNB0401100
-PUNB0401300
-PUNB0404200
-PUNB0408200
-PUNB0411700
-PUNB0416500
-PUNB0416900
-PUNB0424400
-PUNB0439400
-PUNB0443100
-PUNB0449900
-PUNB0452500
-PUNB0454100
-PUNB0454600
-PUNB0455200
-PUNB0459400
-PUNB0463500
-PUNB0464000
-PUNB0464800
-PUNB0470200
-PUNB0471200
-PUNB0472500
-PUNB0477600
-PUNB0484600
-PUNB0539400
-PUNB0618100
-PUNB0620200
-PUNB0623300
-PUNB0625000
-PUNB0626900
-PUNB0627400
-PUNB0631500
-PUNB0646700
-PUNB0646800
-PUNB0660600
-PUNB0667200
-PUNB0687700
-PUNB0687800
-PUNB0722100
-PUNB0780100
-PUNB0877900
-PUNB0914100
-PUNB0983600
-PUNB0997300
-UCBA0001753
-UCBA0001782
-UCBA0001826
-UCBA0001827
-UCBA0001828
-UCBA0001830
-UCBA0001841
-UCBA0001853
-UCBA0001855
-UCBA0002112
-UCBA0002113
-UCBA0002114
-UCBA0002115
-UCBA0002122
-UCBA0002248
-UCBA0002376
-UCBA0002377
-UCBA0002386
-UTBI0DRE782
-UTBI0SDO975
```
</details>


Here is a cute Moose:

![michal-mrozek-1238416-unsplash](https://user-images.githubusercontent.com/584253/56743052-7c9c9200-6793-11e9-9337-71ff9aadf5ad.jpg)


Note: Please use the `docker.io/razorpay/ifsc:1.4.0-1` if you are deploying the API.

[1.4.0]: https://github.com/razorpay/ifsc/releases/tag/1.4.0
